# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models


class ScopMembershipSubmitWizard(models.TransientModel):
    _inherit = "scop.membership.submit.wizard"

    # ------------------------------------------------------
    # Compute
    # ------------------------------------------------------
    def _compute_list_logs(self):
        super(ScopMembershipSubmitWizard, self)._compute_list_logs()
        # vérification des documents obligatoires
        self.partner_id.scop_check_docs(
            "adhesion", "Impossible de transmettre le dossier d'adhésion"
        )
        if not self.list_logs:
            self.list_logs = self.partner_id.list_logs
        else:
            if self.partner_id.list_logs:
                self.list_logs = self.partner_id.list_logs + self.list_logs
